For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddRule
        • POSTDelRule
        • POSTSetRuleInfo
        • POSTGetRules
        • POSTReorderRules
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRules

SetRuleInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetRuleInfo
POST
/platform_api/SetRuleInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetRuleInfo?rule_id=12345&rule_name=Deny%20All%20Calls&rule_pattern=.*&video_conference=false&bind_key_id=svc_account_98765" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Edits the rule.

Allowed roles: Owner, Admin, Developer.

Example request: Deny all.

Was this page helpful?
Previous

DelRule

Next

GetRules

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

rule_idintegerRequired
The rule ID
rule_namestringOptional
The new rule name. The length must be less than 100
rule_patternstringOptional
The new rule pattern regex. The length must be less than 64 KB
rule_pattern_excludestringOptional
The new exclude pattern regex. The length must be less than 64 KB
video_conferencebooleanOptional
Whether video conference is required
bind_key_idstringOptional

The service account ID to bind to the rule. Read more in the guide

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully